////////////////////////////////////////////////////////////////////
#property copyright "Copyright 2013, ehsan.tajalli"
#property link      "ehsan.tajalli@gmail.com"

#property indicator_chart_window
extern int Num_Day=100;
extern bool Faghat_Ruze_Jari=true;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for (int i=1;i<=Num_Day;i++) {
   ObjectDelete("A"+i);
      ObjectDelete("B"+i);
   ObjectDelete("C"+i);
      ObjectDelete("D"+i);
   ObjectDelete("s1"+i);
      ObjectDelete("s2"+i);
   ObjectDelete("s3"+i);
      ObjectDelete("s4"+i);      }

  Comment("");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   
    double candle[30],b,a,cl,f;
//---- indicators
 if (Faghat_Ruze_Jari==true) Num_Day=1;
 for (int i=1; i<=Num_Day; i++) {

   for (int j=0; j<=29; j++) candle[j]=MathAbs(iClose(0,PERIOD_D1,j)-iOpen(0,PERIOD_D1,j));
   double max = candle[ArrayMaximum(candle)];
   
   a=iLow(0,PERIOD_D1,i);
   b=iHigh(0,PERIOD_D1,i);
   cl = iClose(0,PERIOD_D1,i);
   if (iClose(0,PERIOD_D1,i)>iOpen(0,PERIOD_D1,i)) {b=iLow(0,PERIOD_D1,i); a=iHigh(0,PERIOD_D1,i);}
   
    if (MathAbs(iClose(0,PERIOD_D1,i)-iOpen(0,PERIOD_D1,i)) >= (max*0.6))
   b = cl + ((-1) * (iClose(0,PERIOD_D1,i)-iOpen(0,PERIOD_D1,i))/4) ;
   
    if (MathAbs(iClose(0,PERIOD_D1,i)-iOpen(0,PERIOD_D1,i)) < (max*0.6) && MathAbs(iClose(0,PERIOD_D1,i)-iOpen(0,PERIOD_D1,i)) >= (max*0.4))
   b = cl+ ((-1) * (iClose(0,PERIOD_D1,i)-iOpen(0,PERIOD_D1,i))/2);
   
   
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,PERIOD_D1,i-2) ,a ,Blue ,0 ,"A"+i);
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,PERIOD_D1,i-2) ,b ,Red ,0 ,"B"+i);
   
   if(a>b) {
   f=(a-b)/3;
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,PERIOD_D1,i-2) ,a-f ,Yellow ,2 ,"C"+i);
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,PERIOD_D1,i-2) ,a-(2*f) ,Yellow , 2 ,"D"+i);}
   
      if(a<b) {
   f=(b-a)/3;
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,PERIOD_D1,i-2) ,b-f ,Yellow ,2 ,"C"+i);
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,PERIOD_D1,i-2) ,b-(2*f) ,Yellow ,2 ,"D"+i);}
   
   //ruze jari
   if (i==1) {
   
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,0,0) ,a ,Blue ,0 ,"A"+i);
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,0,0) ,b ,Red ,0 ,"B"+i);
   
   if(a>b) {
   f=(a-b)/3;
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,0,0) ,a-f ,Yellow ,2 ,"C"+i);
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,0,0) ,a-(2*f) ,Yellow , 2 ,"D"+i);
   arrow(Time[1], a-f ,Yellow, "s1"+i);
   arrow(Time[1], a-(2*f) ,Yellow, "s2"+i);}
   
      if(a<b) {
   f=(b-a)/3;
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,0,0) ,b-f ,Yellow ,2 ,"C"+i);
   draw(iTime(0,PERIOD_D1,i-1) ,iTime(0,0,0) ,b-(2*f) ,Yellow ,2 ,"D"+i);  
   arrow(Time[1], b-f ,Yellow, "s1"+i);
   arrow(Time[1], b-(2*f) ,Yellow, "s2"+i);} 
   arrow(Time[1], a ,Blue, "s4"+i);
   arrow(Time[1], b ,Red, "s3"+i); 
   }
   
   }
//----
   Comment("Writed For TwiMm");
//----
   return(0);
  }
//+------------------------------------------------------------------+
void draw(datetime x1, datetime x2, double y1, color lineColor, double style, string label)
  {
   ObjectDelete(label);
   ObjectCreate(label, OBJ_TREND, 0, x1, y1, x2, y1, 0, 0);
   ObjectSet(label, OBJPROP_RAY, false);
   ObjectSet(label, OBJPROP_COLOR, lineColor);
   ObjectSet(label, OBJPROP_STYLE, style);
  }
void arrow(datetime x1, double y1, color lineColor, string label)
  {
   ObjectDelete(label);
   ObjectCreate(label,OBJ_ARROW,0,x1,y1);
   ObjectSet(label,OBJPROP_ARROWCODE,6);
   ObjectSet(label, OBJPROP_COLOR, lineColor);
  }